SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO


CREATE PROCEDURE [dbo].[GetAbilityEvaluationFormats] (
	@Instance Varchar(50) = NULL, 
	@IdEvaluationFormat Varchar(50) = NULL,
	@Historic BIT = 0
) AS
BEGIN
	SET NOCOUNT ON

	 IF(@Historic = 1)
	 BEGIN 
			 SELECT AEF.[ID]							'id',
					AEF.[IdEvaluationFormat]		'idEvaluationFormat',
					AEF.[IdAbility]					'idAbility',
					A.[Title]						'titleAbility',
					A.[Detail]						'detailAbility',
					A.[Type]						'abilityType',
					A.[AnalysisType]				'abilityAnalysisType',
					AEF.[IdGroup]					'idGroup',
					G.[Description]                 'descriptionGroup',
					AEF.[IdSubGroup]				'idSubGroup',
					SG.[Description]                'descriptionSubGroup',
					AEF.[Penalizes]					'penalizes',
					AEF.[Score]						'score',
					AEF.[Order]						'order',
					A.[NotApply]					'acceptNotApplies',
					A.[Distribute]					'distribute',
					A.[AcceptComments]				'acceptComments',
					A.[Detail]						'descriptionAbility',
					AEF.[Conditional]				'conditional',
					A.[Query]						'abilityQuery',
					A.QueryName						'query',
					A.[IsNegative]                  'isNegative'
				FROM [dbo].[HistoricAbilityEvaluationFormat] AEF (NOLOCK)
				INNER JOIN [dbo].[HistoricGroup] G (NOLOCK)
					ON G.[VCC] = AEF.[VCC]
						AND G.[ID] = AEF.[IdGroup]
				INNER JOIN [dbo].[HistoricSubGroup] SG (NOLOCK)
					ON SG.[VCC] = AEF.[VCC]
						AND SG.[ID] = AEF.[IdSubGroup]
				INNER JOIN [dbo].[HistoricAbility] A (NOLOCK)
					ON A.[VCC] = AEF.[VCC]
						AND A.[ID] = AEF.[IdAbility]
				WHERE AEF.[VCC] = @Instance
					AND AEF.[IdEvaluationFormat]= @IdEvaluationFormat
				ORDER BY [Order] ASC
	
	 END
	 ELSE
	 BEGIN 
			 SELECT AEF.[ID]							'id',
					AEF.[IdEvaluationFormat]		'idEvaluationFormat',
					AEF.[IdAbility]					'idAbility',
					A.[Title]						'titleAbility',
					A.[Detail]						'detailAbility',
					A.[Type]						'abilityType',
					A.[AnalysisType]				'abilityAnalysisType',
					AEF.[IdGroup]					'idGroup',
					G.[Description]                 'descriptionGroup',
					AEF.[IdSubGroup]				'idSubGroup',
					SG.[Description]                'descriptionSubGroup',
					AEF.[Penalizes]					'penalizes',
					AEF.[Score]						'score',
					AEF.[Order]						'order',
					A.[NotApply]					'acceptNotApplies',
					A.[Distribute]					'distribute',
					A.[AcceptComments]				'acceptComments',
					A.[Detail]						'descriptionAbility',
					AEF.[Conditional]				'conditional',
					A.[Query]						'abilityQuery',
					A.QueryName						'query',
					A.[IsNegative]                  'isNegative'
				FROM [dbo].[AbilityEvaluationFormat] AEF (NOLOCK)
				INNER JOIN [dbo].[Group] G (NOLOCK)
					ON G.[Instance] = AEF.[Instance]
						AND G.[ID] = AEF.[IdGroup]
				INNER JOIN [dbo].[SubGroup] SG (NOLOCK)
					ON SG.[Instance] = AEF.[Instance]
						AND SG.[ID] = AEF.[IdSubGroup]
				INNER JOIN [dbo].[Ability] A (NOLOCK)
					ON A.[Instance] = AEF.[Instance]
						AND A.[ID] = AEF.[IdAbility]
				WHERE AEF.[Instance] = @Instance
					AND AEF.[IdEvaluationFormat]= @IdEvaluationFormat
				ORDER BY [Order] ASC
			
	 END
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
