SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetCampaignEvaluationFormats] (
	@Instance Varchar(50) = NULL, 
	@IdEvaluationFormat Varchar(50) = NULL,
	@Historic BIT = 0
	)
AS
BEGIN
	SET NOCOUNT ON
	
	IF(@Historic = 1)
	BEGIN
			SELECT
				CE.[IdEvaluationFormat]			'idEvaluationFormat',
				CE.[IdCampaign]					'idCampain',
				CE.[IdCampaign]                 'descriptionCampain'
			FROM [HistoricCampaignEvaluationFormat] CE (NOLOCK)
			WHERE CE.[VCC] = @Instance
			AND CE.[IdEvaluationFormat]= @IdEvaluationFormat
	END
	ELSE
	BEGIN
			SELECT
				CE.[IdEvaluationFormat]			'idEvaluationFormat',
				CE.[IdCampaign]					'idCampain',
				CE.[IdCampaign]                 'descriptionCampain'
			FROM [CampaignEvaluationFormat] CE (NOLOCK)
			WHERE CE.[Instance] = @Instance
			AND CE.[IdEvaluationFormat]= @IdEvaluationFormat
	END

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
