SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[GetEvaluationFormat] (
	@Instance Varchar(50) = NULL,
	@ID Varchar(50) = NULL,
	@Historic BIT = 0
	)
AS
BEGIN
	SET NOCOUNT ON
    IF(@Historic = 1)
    BEGIN 
		SELECT
			[ID]									'id',
			[Description]							'description',
			[EnvironmentType]						'environmentType',
			[Type]									'type',
			[MinQualificationAcceptable]			'minQualificationAcceptable',
			[MinAutomaticQualification]				'minAutomaticQualification',
			[ManagementFormURL]						'managementFormURL',
			[Enabled]								'enabled',
			[templateId]							'templateId'
		FROM [HistoricEvaluationFormat] (NOLOCK)
		WHERE [VCC] = @Instance
			AND [ID] = @ID
   END
   ELSE
   BEGIN 
   		SELECT
			[ID]									'id',
			[Description]							'description',
			[EnvironmentType]						'environmentType',
			[Type]									'type',
			[MinQualificationAcceptable]			'minQualificationAcceptable',
			[MinAutomaticQualification]				'minAutomaticQualification',
			[CreatedDate]							'createdDate',
			[CreatedByUserId]						'createdByUserId',
			[LastModifiedDate]						'lastModifiedDate',
			[LastModifiedByUserId]					'lastModifiedByUserId',
			[ManagementFormURL]						'managementFormURL',
			[Enabled]								'enabled',
			[templateId]							'templateId'
		FROM [EvaluationFormat] (NOLOCK)
		WHERE [Instance] = @Instance
			AND [ID] = @ID
   END
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
